import React, { useEffect, useMemo, useState } from 'react'
import { useSelector } from 'react-redux'
import { View, ScrollView } from '@tarojs/components'
import  Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Register from './register/index'
import Guide from '../guide/index'
import Recommend from '../recommend/index'
// import HouseLIst from '../house/list'

import './index.scss'
import request from '../../util/request'

const index = (props) => {
  const {houseId,orderId} = props
 
  const user = useSelector(state => state.user)

  const [pageState, setPageState] = useState('3')

  useEffect(() => {
    if(props.orderId){
      request({url: `/taHouseOrder/{props.orderId}`,}).then(res=>{
        const data = res.data.data
        if (data.status !== 1) {
          setPageState('1')
        }
      })
    }
  }, [props.orderId])
 
  return (
    <View className='index'>
        {pageState && (
          <View>
            {pageState=='1'&&<Register oderId={orderId}></Register>}

            <Layout>
              {pageState=='2'&&<Guide houseId={houseId}></Guide>  }
              {pageState=='3'&&<Recommend houseId={houseId}></Recommend>  }
            </Layout>
          
            {pageState!='1' && (
              <Tab
                value={['入住指引','房东推荐']}
                pageState={pageState}
                onClick={[(e) => setPageState('2'),(e) => setPageState('3')]} />
            )}      
          </View>
        )}
    </View>
  )
  
  
}

export default index